########################################################################################################################
# Render a view into rub<
########################################################################################################################

require_relative '../../model/view'

module Dbsketch
	module Rendering
		module Meta

			class ViewRenderer

				def create view
					### Preconditions
					raise ArgumentError, "view is not a Dbsketch::Model::View" unless view.is_a? Dbsketch::Model::View
					###
					"create view #{view.name} as #{view.query}"
					"Dbsketch::Model::View.new(\"#{view.name}\", \"#{view.query}\")"
				end

				def drop view
					### Preconditions
					raise ArgumentError, "view is not a Dbsketch::Model::View" unless view.is_a? Dbsketch::Model::View
					###
					"View.drop #{view.name}"
				end

			end

		end
	end
end
