########################################################################################################################
# Check constraint
########################################################################################################################

require_relative 'database_object'

module Dbsketch
	module Model

		class CheckConstraint < Database_Object
			def initialize name, condition, meaning: nil, comment: nil
				super name, :meaning => meaning, :comment => comment
				### Preconditions
				raise ArgumentError, "condition is not a String" unless condition.is_a? String
				###
				@condition = condition
			end

			attr_reader :condition
		end

	end
end
