########################################################################################################################
# Defines database custom code, so developers can write specific code
########################################################################################################################

require_relative 'database_object'

module Dbsketch
	module Model

		class CustomCode < Database_Object
			def initialize name, do_code, undo_code: nil, meaning: nil, comment: nil, dependencies: []
				super name, :meaning => meaning, :comment => comment, :dependencies => dependencies
				@do_code = do_code
				@undo_code = undo_code
			end

			attr_reader :do_code, :undo_code
		end

	end
end
