########################################################################################################################
# Defines database function
########################################################################################################################

require_relative 'operation'

module Dbsketch
	module Model

		class Function < Operation
			def initialize name, meaning: nil, comment: nil, dependencies: [], arguments: [], returns:, algo:
				super name, :meaning => meaning, :comment => comment, :dependencies => dependencies, :arguments => arguments, :algo => algo
				### Preconditions
				raise ArgumentError, "returns is not a String" unless returns.is_a? String
				###
				@returns = returns
			end

			attr_reader :returns
		end

	end
end
