########################################################################################################################
# Defines database view
########################################################################################################################

require_relative 'database_object'

module Dbsketch
	module Model

		class View < Database_Object
			def initialize name, query, meaning: nil, comment: nil, dependencies: []
				super name, :meaning => meaning, :comment => comment, :dependencies => dependencies
				### Preconditions
				raise ArgumentError, "query is not a String" unless query.is_a? String
				###
				@query = query
			end

			attr_reader :query
		end

	end
end
